<?php
/**
 * @author     Thomas Meyer
 * @licence    http://creativecommons.org/licenses/by-nc-sa/2.5/
 * @package    yana
 * @subpackage plugins
 */

/**
 * @access     public
 * @package    yana
 * @subpackage plugins
 */
class plugin_guestbook_admin extends plugin
{

    function _default($event, $ARGS) 
    {
        global $YANA;
        /* do nothing */
        return true;
    }
    
    function get_admin($ARGS) 
    {
        global $YANA;
        $YANA->language->read("admin");
        $YANA->setVar("BESCHREIBUNG", $YANA->getVar("LANGUAGE.DESCR_ADMIN"));
        $YANA->setVar("WRITEABLE",    $YANA->registry->files['config']->is_writeable());
        return true;
    }
    
    function get_mod($ARGS) 
    {
        global $YANA;
        $YANA->language->read("admin");
        $YANA->setVar("BESCHREIBUNG", $YANA->getVar("LANGUAGE.DESCR_MOD"));
        $YANA->setVar("WRITEABLE",    $YANA->registry->files['config']->is_writeable());
        return true;
    }

}

// © 2006, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
?>